# multi_touch

A multi-finger gesture - a preset such as pinchIn, pinchOut or rotate, or explicit finger paths.

A multi-finger gesture - a preset such as pinchIn, pinchOut or rotate, or explicit finger paths.

| | |
|---|---|
| REST operation | [`act`](/reference/rest/actions/#act) (`POST /v1/devices/{deviceId}/actions`) |
| Action type | `gesture` |
| Needs a device | yes |
| Read only | no |
| Profiles | `full` |

## Parameters

| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
| `device_id` | yes | string | path `deviceId` | Stable device id such as `ios:00008120-001A2B3C4D5E6F70` or `android:R58M123ABC`. |
| `lease` | no | string | header `Silan-Lease` | Lease token when the device is claimed. |
| `preset` | no | `pinchIn`, `pinchOut`, `rotateClockwise`, `rotateCounterClockwise` | body `action.preset` |  |
| `fingers` | no | array of object | body `action.fingers` |  |
| `return` | no | object | body `returning` |  |

## Example call

```text
multi_touch({ device_id: "ios:00008120-001A2B3C4D5E6F70" })
```